/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/* ================== My own stylesss =============================== */

/* ===================  HOME PAGE  ======================= */
* {
    box-sizing: border-box;
}



:root {
    --text-color: #f2f2f2;
    --secondary-text-color: #b0b0b0;
    --border-color: #565656;
    --background-color: #0f2929;
    --link-color: #666;
    --accent-color: #D4AF37;

}

body {
    font-family: 'Inter', Arial, Helvetica, sans-serif;
    font-size: 1em;
    line-height: 1.5;
    background: var(--background-color);
    color: var(--text-color);
    height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;

}

.profile {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    padding: 5em;
    gap: 4em;
}

.profile-text {
    max-width: 600px;
}

span {
    color: var(--accent-color);
}

.profile-text h1 {
    font-size: 3.5em;
    font-weight: 800;
    line-height: 1.2;
    margin-bottom: 0.7em;
}

.profile-text p {
    font-size: 1.1em;
    color: var(--secondary-text-color);
    margin-bottom: 2.7em;
}

.profile-text a {
    padding: 0.7em 1.4em;
    text-decoration: none;
    font-size: 1em;
    background: var(--accent-color);
    color: var(--background-color);
    font-weight: 600;
    transition: all 0.2s ease;
    border-radius: 4px;
}

.profile-text a:last-of-type {
    color: #f1f1f1be;
    padding: 0.7em 1.4em;
    font-weight: 200;
    text-decoration: underline;
    text-underline-offset: 4px;
    background-color: transparent;
}

.profile-text a:hover {
    background: transparent;
    border: 1px solid var(--accent-color);
    color: var(--text-color);
}

.profile-text a:last-of-type:hover {
    background: transparent;
    border: none;
}

.profile-img {
    border-radius: 50%;
    padding: 0.4em 0.6em 0.1em;
    background: linear-gradient(to right, #f3c428b8, #F3C328);
}

.profile img {
    border-radius: 50%;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2em;
    padding: 1.5em 5em;
    border-top: 1px solid var(--border-color);
}




footer a {
  color: #f0b429; 
  text-decoration: none;
}


footer a {
  display: block;
  width: 140px;
  margin: auto;
  text-align: right;
  height: 43px;
  padding: 15px 5px 5px 0px;
  background: url("/images/sprite.png") no-repeat;
  background-size: 50px auto;
  border-radius: 12px;             
  transition: color 0.2s ease;

}

footer a:hover {
  background-position: 0 -50px;
    padding: 10px 5px 5px 0px;
  color: #f3ecdc;

}


/* 
footer a {
    text-decoration: none;
    color: var(--link-color);
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    letter-spacing: 0.5px;
} */




/* footer a:hover {
    color: var(--text-color);
} */

/* footer a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #F3C328;
    transition: width 0.3s ease;
}

footer a:hover::after {
    width: 100%;
} */

/* ================================
MODULESSS PAGEEE
================================ */


.module-main {
    background: var(--text-color);
}

.module-tabs {
    display: flex;
    gap: 1em;
    justify-content: center;
    background: var(--background-color);
    padding: 4em;
    margin-bottom: 2.5em;
}

.tab-btn {
    padding: 0.6em 1em;
    border: 1px solid var(--accent-color);
    background: transparent;
    color: var(--text-color);
    border-radius: 50px;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.2s ease;
    letter-spacing: 0.5px;
}

.tab-btn:hover {
    color: var(--background-color);
    background-color: var(--accent-color);
}

.tab-btn.active {
    background: var(--accent-color);
    color: var(--background-color);
}

.tab-btn.disable {
    opacity: 0.4;
    pointer-events: none;

}

.module-content {
    max-width: 1300px;
    margin: 0 auto;
    display: none;
    padding: 20px;
}

.module-content.active {
    display: block;
}


.module-title {
    font-size: 2.5em;
    font-weight: 700;
    text-align: center;
    color: var(--background-color);
}

.module-description {
    text-align: center;
    color: var(--background-color);
    font-weight: 400;
    font-size: 1.1em;
}

.module-projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    gap: 2.5em;
    padding: 3em;
}

.coming-soon {
    pointer-events: none;
    opacity: 0.6;
    border: 1px dashed var(--border-color) !important;
}

.card {
    text-decoration: none;
    border: 1px solid var(--border-color);
    border-left: 6px solid #072f2fdd;
    ;
    border-radius: 4px;
    padding: 1.5em;
    margin-bottom: 0.7em;
    transition: all 0.17s ease;

}

.card:hover {
    transform: rotate(7deg);
    box-shadow: 0 10px 40px #7272721f;
    ;
}


.card-title {
    font-size: 1.25em;
    font-weight: 600;
    margin-bottom: 0.3em;
    color: var(--background-color);
}

.card-desc {
    color: var(--link-color);
    font-size: 0.9em;
}


nav ul {
    list-style: none;
    position: fixed;
    bottom: 5%;
    z-index: 1;
    width: 100%;
    display: flex;
    justify-content: space-around;
    gap: 20px;
}

nav li a {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    color: var(--background-color);
    font-weight: 500;
    font-size: 1.1rem;
    transition: color 0.3s ease;
}



nav li a:hover {
    color: var(--link-color);
}

.icon:hover {
    rotate: -70deg;
}


/* ====== blog ==== */


.blog-main {
    font-family: Georgia, 'Times New Roman', Times, serif;
    background: var(--text-color);
    color: var(--background-color);
    padding-bottom: 5em;

}


.blog-hero {
    background: var(--background-color);
    padding: 5em 0;
    text-align: center;

}

.blog-hero h1 {
    font-size: 3.4em;
    margin-bottom: 0.2em;
    color: var(--accent-color);
    font-style: italic;
}

.blog-hero p {
    font-size: 1.1em;
    max-width: 700px;
    margin: 0 auto;
    color: #ccc;
}

.featured-section {
    padding: 4em 9em;
}

.section-title {
    font-size: 2.4em;
    font-weight: 600;
}

.section-subtitle {
    color: #666;
    margin-bottom: 3em;
}

.featured-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    gap: 40px;
}

.blog-card {
    border: 1px solid var(--background-color);
    border-radius: 10px;
    background: #ffffffde;
    display: flex;
    flex-direction: column;
    padding: 1.5em;

}


.blog-card h3 {
    font-size: 1.3em;
    margin-bottom: 1em;
    font-weight: 600;
    line-height: 1.3;
}

.blog-card p {
    color: #666;
    margin-bottom: 1.4em;
}

.read-more-btn {
    color: #2b2b2b;
    text-underline-offset: 5px;
    transition: all 0.1s ease;
}

.read-more-btn:hover {
    color: #000;
}



.blog-cta-button {
    padding: 15px;
    color: var(--background-color);
    text-underline-offset: 5px;
    text-align: center;
    transition: all 0.1s ease;
    margin-bottom: 1em;
}